Subject: Re: [PATCH] RDMA/cxgb4: Add default_llseek to debugfs files.

From: Arnd Bergmann <[email-masked]>
Date: Wed, 29 Sep 2010 21:29:31 +0200

On Wednesday 29 September 2010 21:21:14 Roland Dreier wrote:
> 
>  > The main difference between default_llseek and generic_file_llseek
>  > is that default_llseek doesn't care about the maximum file size
>  > of the underlying file system, which is ULONG_MAX on debugfs,
>  > so they are equivalent.
> 
> I thought default_llseek also takes the BKL still?

Not any more in linux-next.

>  > In general, the preferred one is no_llseek for those files where
>  > you know you do not need to seek. If you do, I'd use default_llseek
>  > for character devices and generic_file_llseek for file systems
>  > that set the s_maxbytes.
> 
> The case in question is for debugfs files, so we should use
> generic_file_llseek, right?

Yes, but it's a very weak "should". My automatic conversion script
uses default_llseek.

	Arnd